EntityTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.entity.EntityTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.entity
Class EntityTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.entity.EntityTagsHandler

Direct Known Subclasses:
  BmpTagsHandler, CmpTagsHandler, FacadeTagsHandler

public class EntityTagsHandler
extends EjbTagsHandler

Version:
  $Revision: 1.12 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="EjbEntity"
created
  Oct 16, 2001

Field Summary

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`EntityTagsHandler()`

Method Summary
`void` | `forAllEjbSelectMethods(String template)` Evaluates the body block for each ejbSelect method.
`void` | `forAllEntityBeans(String template)` Evaluates the body block for each EJBean derived from EntityBean.
`void` | `ifEntity(String template)` Evaluate the body block if current class is of an entity type.
`static boolean` | `isEjbSelectMethod(xjavadoc.XMethod method)`
`static boolean` | `isEntity(xjavadoc.XClass clazz)` Returns true if clazz is an entity bean, false otherwise.
`String` | `persistenceType()` Returns the persistent type of current bean.
`String` | `reentrant()` Returns True if ejb:bean reentrant is true, False otherwise.

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityTagsHandler

    public EntityTagsHandler()

Method Detail

### isEntity

    public static boolean isEntity(xjavadoc.XClass clazz)

  Returns true if clazz is an entity bean, false otherwise.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The Entity value

### isEjbSelectMethod

    public static boolean isEjbSelectMethod(xjavadoc.XMethod method)

### ifEntity

    public void ifEntity(String template)
                  throws XDocletException

  Evaluate the body block if current class is of an entity type.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isEntity(xjavadoc.XClass)`
  doc.tag
    type="block"

### persistenceType

    public String persistenceType()
                           throws XDocletException

  Returns the persistent type of current bean.

  Returns:
    "Container" or "Bean".
  Throws:
    `XDocletException`
  See Also:
    `CmpTagsHandler.isEntityCmp(xjavadoc.XClass)`, `BmpTagsHandler.isEntityBmp(xjavadoc.XClass)`
  doc.tag
    type="content"

### forAllEntityBeans

    public void forAllEntityBeans(String template)
                           throws XDocletException

  Evaluates the body block for each EJBean derived from EntityBean.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isEntity(xjavadoc.XClass)`
  doc.tag
    type="block"

### reentrant

    public String reentrant()
                     throws XDocletException

  Returns True if ejb:bean reentrant is true, False otherwise. It does the case conversion trick from true to True and false to False.

  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException`
  See Also:
    `isEntity(xjavadoc.XClass)`
  doc.tag
    type="content"

### forAllEjbSelectMethods

    public void forAllEjbSelectMethods(String template)
                                throws XDocletException

  Evaluates the body block for each ejbSelect method.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isEntity(xjavadoc.XClass)`
  doc.tag
    type="block"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD